# Get configuration template content - GetUMongoDBCfgTempItem

## Overview

Get configuration template content






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUMongoDBCfgTempItem`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **TemplateId** | string | Configuration Template Id |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*ConfigTemplateItem*](#configtemplateitem)] | Configuration Template Item |**Yes**|

#### Data Model


#### ConfigTemplateItem

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ItemId** | string | itemId |No|
| **TemplateId** | string | Template ID |No|
| **ConfigName** | string | Configuration Name |No|
| **ConfigValue** | string | Configuration Value |No|
| **CreateTime** | int | Creation Time |No|
| **ModifyTime** | int | Modification Time |No|
| **ConfigOption** | [*ConfigOptions*](#configoptions) | Configuration Options |No|
| **NodeType** | string | Node Type: DataNode: Data Node \| ConfigSrvNode: Configuration Node \| MongosNode: Routing Node |No|

#### ConfigOptions

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **MongodbVersion** | string |  |No|
| **OptionName** | string |  |No|
| **OptionValueType** | string |  |No|
| **OptionValues** | string |  |No|
| **OptionDefaultValue** | string |  |No|
| **IsDefaultOption** | boolean |  |No|
| **EnableModify** | boolean |  |No|
| **EnableDisplay** | boolean |  |No|
| **ForceRestart** | boolean |  |No|
| **OptionFormatType** | string |  |No|
| **AllowedApplyType** | string |  |No|
| **Description** | string |  |No|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=GetUMongoDBCfgTempItem
&Region=cn-zj
&ProjectId=jzhnMxWp
&TemplateId=LRRJpzCz
```

### Response Example
    
```json
{
  "Action": "GetUMongoDBCfgTempItemResponse",
  "DataSet": [
    {
      "ConfigName": "WpTOsYvM",
      "ConfigOption": {},
      "ConfigValue": "BeQDjMdY",
      "CreateTime": 8,
      "ItemId": "ZltgIHYS",
      "ModifyTime": 4,
      "TemplateId": "UqQZTRIx"
    }
  ],
  "Message": "Dcxfnytk",
  "RetCode": 0
}
```





